## AgsIndicator

AgsIndicator — a indicator widget

## Stability Level

Stable, unless otherwise indicated

## Functions

guint | ags_indicator_get_segment_width ()
void | ags_indicator_set_segment_width ()
guint | ags_indicator_get_segment_height ()
void | ags_indicator_set_segment_height ()
guint | ags_indicator_get_segment_padding ()
void | ags_indicator_set_segment_padding ()
guint | ags_indicator_get_segment_count ()
void | ags_indicator_set_segment_count ()
GtkAdjustment * | ags_indicator_get_adjustment ()
void | ags_indicator_set_adjustment ()
AgsIndicator * | ags_indicator_new ()

## Properties

GObject * | adjustment | Read / Write
guint | segment-count | Read / Write
guint | segment-height | Read / Write
guint | segment-padding | Read / Write
guint | segment-width | Read / Write

## Types and Values

#define | AGS_INDICATOR_DEFAULT_SEGMENT_WIDTH
#define | AGS_INDICATOR_DEFAULT_SEGMENT_HEIGHT
#define | AGS_INDICATOR_DEFAULT_SEGMENT_PADDING
#define | AGS_INDICATOR_DEFAULT_SEGMENT_COUNT

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AgsIndicator

## Includes

    #include <ags/widget/ags_indicator.h>

## Description

AgsIndicator is a widget representing a GtkAdjustment.

## Functions

### ags_indicator_get_segment_width ()

    guint
    ags_indicator_get_segment_width (AgsIndicator *indicator);

Get segment width.

#### Parameters

indicator | the AgsIndicator |

#### Returns

the segment width

Since: 3.2.0

### ags_indicator_set_segment_width ()

    void
    ags_indicator_set_segment_width (AgsIndicator *indicator,
                                     guint segment_width);

Set segment width.

#### Parameters

indicator | the AgsIndicator |
segment_width | the segment width |

Since: 3.2.0

### ags_indicator_get_segment_height ()

    guint
    ags_indicator_get_segment_height (AgsIndicator *indicator);

Get segment height.

#### Parameters

indicator | the AgsIndicator |

#### Returns

the segment height

Since: 3.2.0

### ags_indicator_set_segment_height ()

    void
    ags_indicator_set_segment_height (AgsIndicator *indicator,
                                      guint segment_height);

Set segment height.

#### Parameters

indicator | the AgsIndicator |
segment_height | the segment height |

Since: 3.2.0

### ags_indicator_get_segment_padding ()

    guint
    ags_indicator_get_segment_padding (AgsIndicator *indicator);

Get segment padding.

#### Parameters

indicator | the AgsIndicator |

#### Returns

the segment padding

Since: 3.2.0

### ags_indicator_set_segment_padding ()

    void
    ags_indicator_set_segment_padding (AgsIndicator *indicator,
                                       guint segment_padding);

Set segment padding.

#### Parameters

indicator | the AgsIndicator |
segment_padding | the segment padding |

Since: 3.2.0

### ags_indicator_get_segment_count ()

    guint
    ags_indicator_get_segment_count (AgsIndicator *indicator);

Get segment count.

#### Parameters

indicator | the AgsIndicator |

#### Returns

the segment count

Since: 3.2.0

### ags_indicator_set_segment_count ()

    void
    ags_indicator_set_segment_count (AgsIndicator *indicator,
                                     guint segment_count);

Set segment count.

#### Parameters

indicator | the AgsIndicator |
segment_count | the segment count |

Since: 3.2.0

### ags_indicator_get_adjustment ()

    GtkAdjustment *
    ags_indicator_get_adjustment (AgsIndicator *indicator);

Get adjustment.

#### Parameters

indicator | the AgsIndicator |

#### Returns

the GtkAdjustment.

[transfer full]

Since: 3.2.0

### ags_indicator_set_adjustment ()

    void
    ags_indicator_set_adjustment (AgsIndicator *indicator,
                                  GtkAdjustment *adjustment);

Set adjustment.

#### Parameters

indicator | the AgsIndicator |
adjustment | the GtkAdjustment. | [transfer none]

Since: 3.2.0

### ags_indicator_new ()

    AgsIndicator *
    ags_indicator_new (GtkOrientation orientation,
                       guint segment_width,
                       guint segment_height);

Creates a new instance of AgsIndicator.

#### Parameters

orientation | the GtkOrientation |
segment_width | the width of one segment |
segment_height | the height of one segment |

#### Returns

the new AgsIndicator

Since: 3.0.0

## Types and Values

### AGS_INDICATOR_DEFAULT_SEGMENT_WIDTH

    #define AGS_INDICATOR_DEFAULT_SEGMENT_WIDTH (7)

### AGS_INDICATOR_DEFAULT_SEGMENT_HEIGHT

    #define AGS_INDICATOR_DEFAULT_SEGMENT_HEIGHT (7)

### AGS_INDICATOR_DEFAULT_SEGMENT_PADDING

    #define AGS_INDICATOR_DEFAULT_SEGMENT_PADDING (3)

### AGS_INDICATOR_DEFAULT_SEGMENT_COUNT

    #define AGS_INDICATOR_DEFAULT_SEGMENT_COUNT (10)

## Property Details

### The `“adjustment”` property

      “adjustment”               GObject *

The adjustment giving indicator value.

Owner: AgsIndicator

Flags: Read / Write

Since: 3.0.0

### The `“segment-count”` property

      “segment-count”            guint

The indicator's segment count.

Owner: AgsIndicator

Flags: Read / Write

Allowed values: >= 1

Default value: 10

Since: 3.0.0

### The `“segment-height”` property

      “segment-height”           guint

The indicator's segment height.

Owner: AgsIndicator

Flags: Read / Write

Allowed values: >= 1

Default value: 7

Since: 3.0.0

### The `“segment-padding”` property

      “segment-padding”          guint

The indicator's segment padding.

Owner: AgsIndicator

Flags: Read / Write

Default value: 3

Since: 3.0.0

### The `“segment-width”` property

      “segment-width”            guint

The indicator's segment width.

Owner: AgsIndicator

Flags: Read / Write

Allowed values: >= 1

Default value: 7

Since: 3.0.0